/*
 * Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
 *
 * This file is part of NRAO Workspaces.
 *
 * Workspaces is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Workspaces is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
 */
import {Injectable} from '@angular/core';
import {environment} from "../../environments/environment";
import {HttpClient} from '@angular/common/http';

@Injectable({
  providedIn: 'root'
})
export class AppConfigService {

  configUrl = 'restapi_get_application_parameters';
  facetUrl = 'restapi_get_execution_block_facets';

  constructor(private http: HttpClient) { }

  getConfig() {
    return this.http.get(environment.apiUrl + this.configUrl, {responseType: "json"});
  }

  // we want to load facets only once per session - so it feels like they are config variables.
  getFacets(){
    return this.http.get(environment.apiUrl + this.facetUrl, {responseType: "json"});
  }
}
